# MAKE THE CHANGES IN SVN: NO PATCH OR SOURCE ALLOWED
%define name draklive
%define version 0.2
%define release %mkrel 1
%define iconname MandrivaOne-copy-icon.png
%define copy_wizard %{name}-copy-wizard

Summary:	Live systems generation and copying tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		System/Configuration/Other
Url:		https://svn.mandriva.com/svn/soft/drakx/trunk/live/draklive/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       syslinux cdrecord rsync mtools

%description
This tool allows to generate Mandriva live systems, and to copy
running live systems to CD or USB media (draklive --copy-wizard).

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

for d in %_datadir/nautilus/default-desktop %_datadir/apps/kdesktop/DesktopLinks; do
  install -D -m 0644 %{copy_wizard}.desktop %buildroot/$d/%{copy_wizard}.desktop
done

install -D -m 0755 %name %buildroot/%_sbindir/%{name}

mkdir -p %buildroot{%_miconsdir,%_iconsdir,%_liconsdir,%_menudir}
install theme/IC-installone-48.png %buildroot%_liconsdir/%iconname
install theme/IC-installone-32.png %buildroot%_iconsdir/%iconname
install theme/IC-installone-16.png %buildroot%_miconsdir/%iconname

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sbindir/%name
%_datadir/apps/kdesktop/DesktopLinks/%{copy_wizard}.desktop
%_datadir/nautilus/default-desktop/%{copy_wizard}.desktop
%_iconsdir/%iconname
%_liconsdir/%iconname
%_miconsdir/%iconname

%changelog
* Sat Sep 16 2006 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.0
- 0.2

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com> 0.1-2mdv2007.0
- allow to add additionnal boot entries
- run shell in initrd when the "debug" option is on cmdline
- use patch batch mode (-t) not to apply already applied patches
  and die if a patch can't be applied
- create modules tree root (for x86_64)
- remove modprobe.preload.d files
- require syslinux, cdrecord, rsync and mtools

* Mon Jun 19 2006 Olivier Blin <oblin@mandriva.com> 0.1-1mdv2007.0
- initial release
